/*
 * This is the source code of Telegram for Android v. 3.x.x.
 * It is licensed under GNU GPL v. 2 or later.
 * You should have received a copy of the license in this archive (see LICENSE).
 *
 * Copyright Nikolai Kudashov, 2013-2017.
 */

package org.telegram.messenger;

import android.app.Application;
import android.content.Intent;

import org.telegram.io.SingletonSocket;
import org.telegram.service.SocketService;
import org.telegram.tgnet.ConnectionsManager;

public class ApplicationLoader extends Application {

    static {
        System.loadLibrary("tmessages");
    }


    @Override
    public void onCreate() {
        super.onCreate();
        SingletonSocket.getInstance().init();
        startService(new Intent(this, SocketService.class));
        ConnectionsManager.native_setJava(false);


    }


}
